엔터프라이즈
1000회/분

주소록 정보 수정

주소록 정보를 수정합니다.

  • 변경하고 싶은 필드만 요청 본문에 포함하면 됩니다.
  • 빈 문자열이 아닌 필드만 수정됩니다.
Path Parameters
  • id
    Type: integer
    required

    주소록 아이디

Body·
required
application/json
  • companyAddress
    Type: string
    required

    주소

  • companyContact
    Type: string
    required

    전화번호

  • companyName
    Type: string
    required

    회사명 또는 이름

  • name
    Type: string
    required

    주소록 이름

  • senderName
    Type: string
    required

    기본 발신자 이름

  • canSendToUnsubscribed
    Type: boolean

    수신거부 구독자 발송 대상 포함 여부

  • useSubscriberAutoDelete
    Type: boolean

    자동삭제 기능 사용 여부

Responses
  • text/plain
Request Example for put/lists/{id}
curl https://api.stibee.com/v2/lists/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'AccessToken: YOUR_SECRET_TOKEN' \
  --data '{
  "name": "주소록 이름",
  "senderName": "발신자 이름",
  "companyName": "회사명",
  "companyContact": "hello@stibee.com",
  "companyAddress": "서울시 중구 동호로",
  "useSubscriberAutoDelete": true,
  "canSendToUnsubscribed": false
}'
ok